--- old/usr/src/man/man3c/opendir.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/opendir.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
 .\" Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
@@ -8,174 +8,163 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH OPENDIR 3C "Jun 26, 2007"
-.SH NAME
-opendir, fdopendir \- open directory
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/types.h>
-#include <dirent.h>
-
-\fBDIR *\fR\fBopendir\fR(\fBconst char *\fR\fIdirname\fR);
-.fi
-
-.LP
-.nf
-\fBDIR *\fR\fBfdopendir\fR(\fBint\fR \fIfildes\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBopendir()\fR function opens a directory stream corresponding to the
-directory named by the \fIdirname\fR argument.
-.sp
-.LP
-The \fBfdopendir()\fR function opens a directory stream for the directory file
-descriptor \fIfildes\fR. The directory file descriptor should not be used or
+.Dd "Jul 22, 2014"
+.Dt OPENDIR 3C
+.Os
+.Sh NAME
+.Nm opendir ,
+.Nm fdopendir
+.Nd open directory
+.Sh SYNOPSIS
+.In dirent.h
+.
+.Ft "DIR *"
+.Fn opendir "const char *dirname"
+.
+.Ft "DIR *"
+.Fn fdopendir "int fildes"
+.
+.Sh DESCRIPTION
+The
+.Fn opendir
+function opens a directory stream corresponding to the
+directory named by the
+.Fa dirname
+argument.
+.Lp
+The
+.Fn fdopendir
+function opens a directory stream for the directory file
+descriptor
+.Fa fildes .
+The directory file descriptor should not be used or
 closed following a successful function call, as this might cause undefined
 results from future operations on the directory stream obtained from the call.
-Use \fBclosedir\fR(3C) to close a directory stream.
-.sp
-.LP
-The directory stream is positioned at the first entry. If the type \fBDIR\fR is
+Use
+.Xr closedir 3C
+to close a directory stream.
+.Lp
+The directory stream is positioned at the first entry. If the type
+.Ft DIR
+is
 implemented using a file descriptor, applications will only be able to open up
-to a total of {\fBOPEN_MAX\fR} files and directories. A successful call to any
-of the \fBexec\fR functions will close any directory streams that are open in
-the calling process.  See \fBexec\fR(2).
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, \fBopendir()\fR and \fBfdopendir()\fR return a
-pointer to an object of type \fBDIR\fR. Otherwise, a null pointer is returned
-and \fBerrno\fR is set to indicate the error.
-.SH ERRORS
-.sp
-.LP
-The \fBopendir()\fR function will fail if:
-.sp
-.ne 2
-.na
-\fB\fBEACCES\fR\fR
-.ad
-.RS 16n
+to a total of
+.Bq OPEN_MAX
+files and directories. A successful call to any
+of the
+.Xr exec 2
+functions will close any directory streams that are open in
+the calling process.
+.Sh RETURN VALUES
+Upon successful completion,
+.Fn opendir
+and
+.Fn fdopendir
+return a
+pointer to an object of type
+.Ft DIR .
+Otherwise, a null pointer is returned
+and
+.Va errno
+is set to indicate the error.
+.Sh ERRORS
+The
+.Fn opendir
+function will fail if:
+.Bl -tag -width Er
+.It Er EACCES
 Search permission is denied for the component of the path prefix of
-\fIdirname\fR or read permission is denied for \fIdirname\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBELOOP\fR\fR
-.ad
-.RS 16n
-Too many symbolic links were encountered in resolving \fIpath\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENAMETOOLONG\fR\fR
-.ad
-.RS 16n
-The length of the \fIdirname\fR argument exceeds {\fBPATH_MAX\fR}, or a path
-name component is longer than {\fBNAME_MAX\fR} while {\fB_POSIX_NO_TRUNC\fR} is
+.Fa dirname
+or read permission is denied for
+.Fa dirname .
+.It Er ELOOP
+Too many symbolic links were encountered in resolving
+.Fa path .
+.It Er ENAMETOOLONG
+The length of the
+.Fa dirname
+argument exceeds
+.Brq PATH_MAX ,
+or a path name component is longer than
+.Brq NAME_MAX
+while
+.Brq _POSIX_NO_TRUNC
+is
 in effect.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENOENT\fR\fR
-.ad
-.RS 16n
-A component of \fIdirname\fR does not name an existing directory or
-\fIdirname\fR is an empty string.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENOTDIR\fR\fR
-.ad
-.RS 16n
-A component of \fIdirname\fR is not a directory.
-.RE
-
-.sp
-.LP
-The \fBfdopendir()\fR function will fail if:
-.sp
-.ne 2
-.na
-\fB\fBENOTDIR\fR\fR
-.ad
-.RS 11n
-The file descriptor \fIfildes\fR does not reference a directory.
-.RE
-
-.sp
-.LP
-The \fBopendir()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEMFILE\fR\fR
-.ad
-.RS 16n
-There are {\fBOPEN_MAX\fR} file descriptors currently open in the calling
-process.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENAMETOOLONG\fR\fR
-.ad
-.RS 16n
+.It Er ENOENT
+A component of
+.Fa dirname
+does not name an existing directory or
+.Fa dirname
+is an empty string.
+.It Er ENOTDIR
+A component of
+.Fa dirname
+is not a directory.
+.El
+.Lp
+The
+.Fn fdopendir
+function will fail if:
+.Bl -tag -width Er
+.It Er ENOTDIR
+The file descriptor
+.Fa fildes
+does not reference a directory.
+.El
+.Lp
+The
+.Fn opendir
+function may fail if:
+.Bl -tag -width Er
+.It Er EMFILE
+There are
+.Brq OPEN_MAX
+file descriptors currently open in the calling process.
+.It Er ENAMETOOLONG
 Pathname resolution of a symbolic link produced an intermediate result whose
-length exceeds \fBPATH_MAX\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENFILE\fR\fR
-.ad
-.RS 16n
+length exceeds
+.Brq PATH_MAX .
+.It Er ENFILE
 Too many files are currently open on the system.
-.RE
-
-.SH USAGE
-.sp
-.LP
-The \fBopendir()\fR and \fBfdopendir()\fR functions should be used in
-conjunction with \fBreaddir\fR(3C), \fBclosedir\fR(3C) and \fBrewinddir\fR(3C)
-to examine the contents of the directory (see the \fBEXAMPLES\fR section in
-\fBreaddir\fR(3C)). This method is recommended for portability.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	T{
-\fBopendir()\fR is Standard; \fBfdopendir()\fR is Evolving
-T}
-_
-MT-Level	Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBlstat\fR(2), \fBsymlink\fR(2), \fBclosedir\fR(3C), \fBreaddir\fR(3C),
-\fBrewinddir\fR(3C), \fBscandir\fR(3C), \fBattributes\fR(5)
+.El
+.Sh USAGE
+The
+.Fn opendir
+and
+.Fn fdopendir
+functions should be used in conjunction with
+.Xr readdir 3C ,
+.Xr closedir 3C
+and
+.Xr rewinddir 3C
+to examine the contents of the directory
+.Po see the
+.Sx EXAMPLES
+section in
+.Xr readdir 3C Pc .
+This method is recommended for portability.
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr exec 2 ,
+.Xr lstat 2 ,
+.Xr symlink 2 ,
+.Xr closedir 3C ,
+.Xr readdir 3C ,
+.Xr rewinddir 3C ,
+.Xr scandir 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn opendir
+function was introduced in
+.Bx 4.2 .
+and standardized in
+.St -p1003.1 .
+The
+.Fn fdopendir
+function was introduced in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/pthread_attr_getstackaddr.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/pthread_attr_getstackaddr.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2008, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Copyright (c) 2001, the Institute of Electrical and Electronics Engineers, Inc. and The Open Group. All Rights Reserved.
 .\" Copyright 1991, 1992, 1994, The X/Open Company Ltd.
@@ -9,93 +9,108 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PTHREAD_ATTR_GETSTACKADDR 3C "Mar 23, 2005"
-.SH NAME
-pthread_attr_getstackaddr, pthread_attr_setstackaddr \- get or set stackaddr
-attribute
-.SH SYNOPSIS
-.LP
-.nf
-cc -mt [ \fIflag\fR... ] \fIfile\fR... -lpthread [ \fIlibrary\fR... ]
-#include <pthread.h>
-
-\fBint\fR \fBpthread_attr_getstackaddr\fR(\fBconst pthread_attr_t *restrict\fR \fIattr\fR,
-     \fBvoid **restrict\fR \fIstackaddr\fR);
-.fi
-
-.LP
-.nf
-\fBint\fR \fBpthread_attr_setstackaddr\fR(\fBpthread_attr_t *\fR\fIattr\fR, \fBvoid *\fR\fIstackaddr\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The functions \fBpthread_attr_setstackaddr()\fR and
-\fBpthread_attr_getstackaddr()\fR, respectively, set and get the thread
-creation \fIstackaddr\fR attribute in the \fIattr\fR object. The
-\fIstackaddr\fR default is \fINULL\fR. See \fBpthread_create\fR(3C).
-.sp
-.LP
-The \fIstackaddr\fR attribute specifies the location of storage to be used for
+.Dd "Jul 22, 2014"
+.Dt PTHREAD_ATTR_GETSTACKADDR 3C
+.Os
+.Sh NAME
+.Nm pthread_attr_getstackaddr ,
+.Nm pthread_attr_setstackaddr
+.Nd get or set stackaddr attribute
+.Sh SYNOPSIS
+.In pthread.h
+.Ft int
+.Fo pthread_attr_getstackaddr
+.Fa "const pthread_attr_t *restrict attr"
+.Fa "void **restrict stackaddr"
+.Fc
+.Ft int
+.Fn pthread_attr_setstackaddr "pthread_attr_t *attr" "void **stackaddr"
+.Sh DESCRIPTION
+The functions
+.Fn pthread_attr_setstackaddr
+and
+.Fn pthread_attr_getstackaddr ,
+respectively, set and get the thread creation
+.Fa stackaddr
+attribute in the
+.Fa attr
+object. The
+.Fa stackaddr
+default is
+.Dv NULL .
+See
+.Xr pthread_create 3C .
+.Lp
+The
+.Fa stackaddr
+attribute specifies the location of storage to be used for
 the created thread's stack. The size of the storage is at least
-\fBPTHREAD_STACK_MIN.\fR
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, \fBpthread_attr_setstackaddr()\fR and
-\fBpthread_attr_getstackaddr()\fR return a value of  \fB0\fR. Otherwise, an
+.Dv PTHREAD_STACK_MIN .
+.Sh RETURN VALUES
+Upon successful completion,
+.Fn pthread_attr_setstackaddr
+and
+pthread_attr_getstackaddr
+return 0. Otherwise, an
 error number is returned to indicate the error.
-.sp
-.LP
-If successful, the \fBpthread_attr_getstackaddr()\fR function stores the
-\fIstackaddr\fR attribute value in \fIstackaddr\fR.
-.SH ERRORS
-.sp
-.LP
-The \fBpthread_attr_setstackaddr()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-\fIattr\fR is invalid.
-.RE
-
-.sp
-.LP
-The  \fBpthread_attr_getstackaddr()\fR function may fail if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-\fIattr\fR or \fIstackaddr\fR is invalid.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-_
-MT-Level	MT-Safe
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBpthread_attr_init\fR(3C), \fBpthread_attr_setdetachstate\fR(3C),
-\fBpthread_attr_setstacksize\fR(3C), \fBpthread_create\fR(3C),
-\fBattributes\fR(5), \fBstandards\fR(5)
+.Lp
+If successful, the
+.Fn pthread_attr_getstackaddr
+function stores the
+.Sy stackaddr
+attribute value in
+.Fa stackaddr .
+.Sh ERRORS
+The
+.Fn pthread_attr_setstackaddr
+function may fail if:
+.Bl -tag -width Er
+.It Er EINVAL
+The
+.Fa attr
+argument is invalid.
+.El
+.Lp
+The
+.Fn pthread_attr_getstackaddr
+function may fail if:
+.Bl -tag -width Er
+.It Er EINVAL
+Either the
+.Fa attr
+or
+.Fa stackaddr
+arguments are invalid.
+.El
+.Sh USAGE
+Due to ambiguities in the standard for these functions, their use is
+discouraged.  Instead, the
+.Xr pthread_attr_setstack 3C
+and
+.Xr pthread_attr_getstack 3C
+functions, which were introduced in
+.St -p1003.1-2001 ,
+should be used instead.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy MT-Safe .
+.Sh SEE ALSO
+.Xr pthread_attr_getstack 3C ,
+.Xr pthread_attr_init 3C ,
+.Xr pthread_attr_setdetachstate 3C ,
+.Xr pthread_attr_setstack 3C ,
+.Xr pthread_attr_setstacksize 3C ,
+.Xr pthread_create 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn pthread_attr_setstackaddr
+and
+.Fn pthread_attr_getstackaddr
+functions were introduced in
+.St -p1003.1c-95 .
+They were obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/scandir.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/scandir.3c	Sun Jul 27 18:01:34 2014
@@ -1,103 +1,130 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2004, Sun Microsystems, Inc. All Rights Reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SCANDIR 3C "May 4, 2004"
-.SH NAME
-scandir, alphasort \- scan a directory
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/types.h>
-#include <dirent.h>
-
-\fBint\fR \fBscandir\fR(\fBconst char *\fR\fIdirname\fR, \fBstruct dirent *\fR(*\fInamelist\fR[]),
-     \fBint\fR (*\fIselect\fR)(const struct dirent *),
-     \fBint\fR (*\fIdcomp\fR)(\fBconst struct dirent  **\fR,
-     \fBconst struct dirent **\fR));
-.fi
-
-.LP
-.nf
-\fBint\fR \fBalphasort\fR(\fBconst struct dirent **\fR\fId1\fR,
-     \fBconst struct dirent **\fR\fId2\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBscandir()\fR function reads the directory \fIdirname\fR using
-\fBreaddir\fR(3C) and builds an array of pointers to directory entries using
-\fBmalloc\fR(3C). The \fInamelist\fR argument is a pointer to an array of
-structure pointers. The \fIselect\fR argument is a pointer to a routine that is
+.Dd "Jul 22, 2014"
+.Dt SCANDIR 3C
+.Os
+.Sh NAME
+.Nm scandir ,
+.Nm alphasort
+.Nd scan a directory
+.Sh SYNOPSIS
+.In dirent.h
+.
+.Ft int
+.Fo scandir
+.Fa "const char *dirname"
+.Fa "struct dirent ***namelist"
+.Fa "int \*(lp*select\*(rp\*(lpconst struct dirent *\*(rp"
+.Fa "int \*(lp*dcomp\*(rp\*(lpconst struct dirent  **, const struct dirent **\*(rp"
+.Fc
+.
+.Ft int
+.Fn alphasort "const struct dirent **d1" "const struct dirent **d2"
+.
+.Sh DESCRIPTION
+The
+.Fn scandir
+function reads the directory
+.Fa dirname
+using
+.Xr readdir 3C
+and builds an array of pointers to directory entries using
+.Xr malloc 3C .
+The
+.Fa namelist
+argument is a pointer to an array of
+structure pointers. The
+.Fa select
+argument is a pointer to a routine that is
 called with a pointer to a directory entry and returns a non-zero value if the
-directory entry is included in the array. If this pointer is \fINULL\fR, then
-all the directory entries are included. The \fIdcomp\fR argument is a pointer
-to a routine that is passed to \fBqsort\fR(3C), which sorts the completed
-array. If this pointer is \fINULL\fR, the array is not sorted.
-.sp
-.LP
-The \fBalphasort()\fR function can be used as the \fIdcomp\fR() function
-parameter for the \fBscandir()\fR function to sort the directory entries into
-alphabetical order, as if by the \fBstrcoll\fR(3C) function. Its arguments are
+directory entry is included in the array. If this pointer is
+.Dv NULL ,
+then
+all the directory entries are included. The
+.Fa dcomp
+argument is a pointer
+to a routine that is passed to
+.Xr qsort 3C ,
+which sorts the completed array. If this pointer is
+.Dv NULL ,
+the array is not sorted.
+.Lp
+The
+.Fn alphasort
+function can be used as the
+.Fn dcomp
+function parameter for the
+.Fn scandir
+function to sort the directory entries into
+alphabetical order, as if by the
+.Xr strcoll 3C
+function. Its arguments are
 the two directory entries to compare.
-.SH RETURN VALUES
-.sp
-.LP
-The \fBscandir()\fR function returns the number of entries in the array and a
-pointer to the array through the \fInamelist\fR argument. When an error is
-encountered, \fBscandir()\fR returns -1 and \fBerrno\fR is set to indicate the
-error.
-.sp
-.LP
-The \fBalphasort()\fR function returns an integer greater than, equal to, or
-less than 0 if the directory entry name pointed to by \fId1\fR is greater than,
-equal to, or less than the directory entry name pointed to by \fId2\fR when
+.Sh RETURN VALUES
+The
+.Fn scandir
+function returns the number of entries in the array and a
+pointer to the array through the
+.Fa namelist
+argument. When an error is
+encountered,
+.Fn scandir
+returns -1 and
+.Va errno
+is set to indicate the error.
+.Lp
+The
+.Fn alphasort
+function returns an integer greater than, equal to, or
+less than 0 if the directory entry name pointed to by
+.Fa d1
+is greater than, equal to, or less than the directory entry name pointed to by
+.Fa d2
+when
 both are interpreted as appropriate to the current locale. There is no return
 value reserved to indicate an error.
-.SH ERRORS
-.sp
-.LP
-The \fBscandir()\fR function will fail if:
-.sp
-.ne 2
-.na
-\fB\fBEOVERFLOW\fR\fR
-.ad
-.RS 13n
+.Sh ERRORS
+The
+.Fn scandir
+function will fail if:
+.Bl -tag -width Er
+.It Er EOVERFLOW
 The number of directory entries exceeds the number that can be represented by
-an \fBint\fR.
-.RE
-
-.SH USAGE
-.sp
-.LP
-The \fBscandir()\fR and \fBalphasort()\fR functions have transitional
-interfaces for 64-bit file offsets. See \fBlf64\fR(5).
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Stable
-_
-MT-Level	See below.
-.TE
-
-.sp
-.LP
-The \fBscandir()\fR function is Unsafe. The \fBalphasort()\fR function is Safe.
-.SH SEE ALSO
-.sp
-.LP
-\fBmalloc\fR(3C), \fBqsort\fR(3C), \fBreaddir\fR(3C), \fBstrcoll\fR(3C),
-\fBattributes\fR(5), \fBlf64\fR(5)
+an
+.Vt int .
+.El
+.Sh USAGE
+The
+.Fn scandir
+and
+.Fn alphasort
+functions have transitional interfaces for 64-bit file offsets. See
+.Xr lf64 5 .
+.Sh INTERFACE STABILITY
+.Sy Standard .
+.Sh MT-LEVEL
+The
+.Fn scandir
+function is
+.Sy Unsafe .
+The
+.Fn alphasort
+function is
+.Sy Safe .
+.Sh SEE ALSO
+.Xr malloc 3C ,
+.Xr qsort 3C ,
+.Xr readdir 3C ,
+.Xr strcoll 3C ,
+.Xr lf64 5 ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn alphasort
+and
+.Fn scandir
+functions were introduced in
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/ualarm.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/ualarm.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,3 @@
-'\" te
 .\"  Copyright (c) 1980 Regents of the University of California.  All rights reserved.  The Berkeley software License Agreement specifies the terms and conditions for redistribution.  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved  Portions Copyright (c) 1992,
 .\" X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
@@ -5,67 +4,83 @@
 .\" http://www.opengroup.org/bookstore/.
 .\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
 .\"  This notice shall appear on any product containing this material.
-.TH UALARM 3C "Aug 14, 2002"
-.SH NAME
-ualarm \- schedule signal after interval in microseconds
-.SH SYNOPSIS
-.LP
-.nf
-#include <unistd.h>
-
-\fBuseconds_t\fR \fBualarm\fR(\fBuseconds_t\fR \fIuseconds\fR, \fBuseconds_t\fR \fIinterval\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBualarm()\fR function causes the \fBSIGALRM\fR signal to be generated for
+.Dd "Jul 22, 2014"
+.Dt UALARM 3C
+.Os
+.Sh NAME
+.Nm ualarm
+.Nd schedule signal after interval in microseconds
+.Sh SYNOPSIS
+.In unistd.h
+.Ft useconds_t
+.Fn ualarm "Buseconds_t useconds" "useconds_t interval"
+.Sh DESCRIPTION
+The
+.Fn ualarm
+function causes the
+.Dv SIGALRM
+signal to be generated for
 the calling process after the number of real-time microseconds specified by the
-\fIuseconds\fR argument has elapsed.  When the \fIinterval\fR argument is
+.Fa useconds argument has elapsed.  When the
+.Fa interval
+argument is
 non-zero, repeated timeout notification occurs with a period in microseconds
 specified by the \fIinterval\fR argument. If the notification signal,
-\fBSIGALRM\fR, is not caught or ignored, the calling process is terminated.
-.sp
-.LP
+.Dv SIGALRM ,
+is not caught or ignored, the calling process is terminated.
+.Lp
 Because of scheduling delays, resumption of execution when the signal is caught
 may be delayed an arbitrary amount of time.
-.sp
-.LP
-Interactions between \fBualarm()\fR and either \fBalarm\fR(2) or
-\fBsleep\fR(3C) are unspecified.
-.SH RETURN VALUES
-.sp
-.LP
-The \fBualarm()\fR function returns the number of microseconds remaining from
-the previous \fBualarm()\fR call.  If no timeouts are pending or if
-\fBualarm()\fR has not previously been called, \fBualarm()\fR returns \fB0\fR.
-.SH ERRORS
-.sp
-.LP
+.Lp
+Interactions between
+.Fn ualarm
+and either
+.Xr alarm 2
+or
+.Xr sleep 3C
+are unspecified.
+.Sh RETURN VALUES
+The
+.Fn ualarm
+function returns the number of microseconds remaining from
+the previous
+.Fn ualarm
+call.  If no timeouts are pending or if
+.Fn ualarm
+has not previously been called,
+.Fn ualarm
+returns 0.
+.Sh ERRORS
 No errors are defined.
-.SH USAGE
-.sp
-.LP
-The \fBualarm()\fR function is a simplified interface to \fBsetitimer\fR(2),
-and uses the \fBITIMER_REAL\fR interval timer.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBalarm\fR(2), \fBsetitimer\fR(2), \fBsighold\fR(3C), \fBsignal\fR(3C),
-\fBsleep\fR(3C), \fBusleep\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+.Sh USAGE
+The
+.Fn ualarm
+function is a simplified interface to
+.Xr setitimer 2 ,
+and uses the
+.Dv ITIMER_REAL
+interval timer. It's use has been deprecated in favor of the
+.Xr timer_create 3C
+family of functions.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh SEE ALSO
+.Xr alarm 2 ,
+.Xr setitimer(2),
+.Xr sighold 3C ,
+.Xr signal 3C ,
+.Xr sleep 3C ,
+.Xr timer_create 3C ,
+.Xr usleep 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn ualarm
+function was introduced in
+.Bx 4.3
+and standardized in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
--- old/usr/src/man/man3c/usleep.3c	Sun Jul 27 18:01:34 2014
+++ new/usr/src/man/man3c/usleep.3c	Sun Jul 27 18:01:34 2014
@@ -1,4 +1,3 @@
-'\" te
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved.
 .\" Copyright (c) 1980 Regents of the University of California.  All rights reserved.  The Berkeley software License Agreement specifies the terms and conditions for redistribution.
 .\" Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved.
@@ -6,68 +5,66 @@
 .\" http://www.opengroup.org/bookstore/.
 .\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
 .\"  This notice shall appear on any product containing this material.
-.TH USLEEP 3C "Feb 5, 2008"
-.SH NAME
-usleep \- suspend execution for interval in microseconds
-.SH SYNOPSIS
-.LP
-.nf
-#include <unistd.h>
-
-\fBint\fR \fBusleep\fR(\fBuseconds_t\fR \fIuseconds\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBusleep()\fR function suspends the caller from execution for the number
-of microseconds specified by the \fIuseconds\fR argument. The actual suspension
+.Dd "Jul 20, 2014"
+.Dt USLEEP 3C
+.Os
+.Sh NAME
+.Nm usleep
+.Nd suspend execution for interval in microseconds
+.Sh SYNOPSIS
+.In unistd.h
+.Ft int
+.Fn usleep "useconds_t useconds"
+.Sh DESCRIPTION
+The
+.Fn usleep
+function suspends the caller from execution for the number
+of microseconds specified by the
+.Fa useconds
+argument. The actual suspension
 time might be less than requested because any caught signal will terminate
-\fBusleep()\fR following execution of that signal's catching routine. The
+.Fn usleep
+following execution of that signal's catching routine. The
 suspension time might be longer than requested by an arbitrary amount because
 of the scheduling of other activity in the system.
-.sp
-.LP
-If the value of \fIuseconds\fR is 0, then the call has no effect.
-.sp
-.LP
-The use of the \fBusleep()\fR function has no effect on the action or blockage
+.Lp
+If the value of
+.Fa useconds
+is 0, then the call has no effect.
+.Lp
+The use of the
+usleep
+function has no effect on the action or blockage
 of any signal. In a multithreaded process, only the invoking thread is
 suspended from execution.
-.SH RETURN VALUES
-.sp
-.LP
-On completion, \fBusleep()\fR returns \fB0\fR. There are no error returns.
-.SH ERRORS
-.sp
-.LP
+.Sh RETURN VALUES
+On completion,
+.Fn usleep
+returns 0. There are no error returns.
+.Sh ERRORS
 No errors are returned.
-.SH USAGE
-.sp
-.LP
-The \fBusleep()\fR function is included for its historical usage.  The
-\fBnanosleep\fR(3C) function is preferred over this function.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Committed
-_
-MT-Level	Safe
-_
-Standard	See \fBstandards\fR(5).
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBnanosleep\fR(3C), \fBsleep\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+.Sh USAGE
+The
+.Fn usleep
+function is included for its historical usage and is Obsolete.  The
+.Xr nanosleep 3C
+function is preferred over this function.
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr nanosleep 3C ,
+.Xr sleep 3C ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn usleep
+function was introduced in
+.Bx 4.3 ,
+and then standardized in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001 ,
+and removed from
+.St -p1003.1-2008 .
